Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageconsumers
Class TopicSubscriberImpl

    java.lang.Object
      net.sf.dropboxmq.messageconsumers.MessageConsumerImpl
          net.sf.dropboxmq.messageconsumers.TopicSubscriberImpl

All Implemented Interfaces:
  MessageConsumer, TopicSubscriber

    public class TopicSubscriberImpl

extends MessageConsumerImpl
implements TopicSubscriber

Created: 11 Mar 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`TopicSubscriberImpl(SessionImpl session, TopicImpl topic, String messageSelector, String subscriptionName, boolean durable, boolean noLocal)`

Method Summary
`boolean` | `getNoLocal()` Gets the `NoLocal` attribute for this subscriber.
`Topic` | `getTopic()` Gets the `Topic` associated with this subscriber.

Methods inherited from class net.sf.dropboxmq.messageconsumers.MessageConsumerImpl
`close, getDropbox, getMessageListener, getMessageSelector, getSubscriptionName, isDurable, receive, receive, receiveNoWait, setMessageListener, start, stop, stopMessageListener, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Constructor Detail

### TopicSubscriberImpl

    public TopicSubscriberImpl(SessionImpl session,
                               TopicImpl topic,
                               String messageSelector,
                               String subscriptionName,
                               boolean durable,
                               boolean noLocal)
                        throws JMSException

Throws:
  `JMSException`

Method Detail

### getTopic

    public Topic getTopic()
                   throws JMSException

  Description copied from interface: `javax.jms.TopicSubscriber`
  Gets the `Topic` associated with this subscriber.

  Specified by:
    `getTopic` in interface `TopicSubscriber`
  Returns:
    this subscriber's `Topic`
  Throws:
    `JMSException` - if the JMS provider fails to get the topic for this topic subscriber due to some internal error.

### getNoLocal

    public boolean getNoLocal()
                       throws JMSException

  Description copied from interface: `javax.jms.TopicSubscriber`
  Gets the `NoLocal` attribute for this subscriber. The default value for this attribute is false.

  Specified by:
    `getNoLocal` in interface `TopicSubscriber`
  Returns:
    true if locally published messages are being inhibited
  Throws:
    `JMSException` - if the JMS provider fails to get the `NoLocal` attribute for this topic subscriber due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD